﻿using System;
using System.ComponentModel.DataAnnotations;

namespace HyperCube.Models
{
    public enum ArticleStatus { New = 0, Added, Edited, Verified, Rejected, Deleted }

    public class ArticleModel : ICloneable
    {
        public string Filename { get; set; }
        [Required]        
        public string Name { get; set; }        
        [Required]
        public DateTime PublishDate { get; set; } = DateTime.Now.Date;
        [Required]
        public string Authors { get; set; }
        [Required]
        public string Keywords { get; set; }
        [Required]
        public string Annotation { get; set; }
        public string Text { get; set; }
        public ArticleStatus Status { get; set; } = ArticleStatus.New;

        public object Clone()
        {
            return MemberwiseClone();
        }
    }
}
